Installer is failing to install psm.xpi with error -621

VERIFIED FIXED

Status

--
major
VERIFIED FIXED
17 years ago
14 years ago

People

(Reporter: togdon, Assigned: ssu0262)

Tracking

Trunk
x86
Linux

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

17 years ago
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5 i686; Nav)
BuildID:    2001060221

The error message I get is:

	Error [-621]: An installer module (.xpi) failed to install

It looks like the psm.xpi is the module that's failing to install. The broswer
works, just not on SSL sites. This may (or may not) be related to bug 83977
which someone reported seeing on the Mac.

I see this on all builds after the 20010602 builds, 20010601 builds worked fine
for me.

Reproducible: Always
Steps to Reproduce:
1. Download Seamonkey installer:

http://ftp.mozilla.org/pub/mozilla/nightly/latest/mozilla-i686-pc-linux-gnu-sea.tar.gz

2. Install and you'll see the error message.

[3. Try visiting an SSL site]
(Assignee)

Comment 1

17 years ago
I'm pretty sure it's related to bug 83977, which I just checked in a patch for.  
closing this bug as fixed as well.

It happens that both unix psm.xpi and mac browser.xpi call the same 
deleteThisFolder() function that is failing.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED
(Assignee)

Comment 2

17 years ago
*** Bug 83994 has been marked as a duplicate of this bug. ***

Updated

17 years ago
QA Contact: gemal → gbush

Comment 3

17 years ago
verified on branch 2001060713
adding vtrunk
Keywords: vtrunk

Comment 4

17 years ago
verified on trunk 2001061306
Status: RESOLVED → VERIFIED
Keywords: vtrunk
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.